The apache2.0 configuration CGI problem

Excuse me, master, I use the Linux as 4 with apache2.0 and CGI, the specific configuration is as follows, and the file permissions set to maximum, how not to run the Perl CGI program.
ScriptAlias /cgi-bin/ "/var/www/cgi-bin/"


<Directory "/var/www/cgi-bin/">
AllowOverride All
Options ExecCGI
Order allow,deny
Allow from all

The error message is:
Internal Server Error
The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator, root@localhost and inform them of the time the error occurred, and anything you might have done that may have caused the error.

More information about this error may be available in the server error log.

Please advice, thank you

Started by Brook at November 14, 2013 - 8:18 AM

Perl has installed.?
Apache has a place to set

Posted by Francis at November 16, 2013 - 8:36 AM

Is good advice is worth learning!

Posted by Cornell at November 27, 2013 - 9:00 AM

Personally think that to be written as Options +ExecCGI, and see AddHandler fastcgi-script.Fcgi, your CGI type is added.

Posted by Darcy at December 08, 2013 - 9:57 AM